package com.ruoyi.web.v3.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbOrgInfoEntity;
import com.ruoyi.web.v3.model.request.HbOrgInfoPageReq;
import com.ruoyi.web.v3.service.IHbOrgInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * v3.0 企业信息管理 前端控制器
 * </p>
 *
 */
@RestController
@RequestMapping("/v3/hb-org-info")
@Api("3.0 企业信息管理")
public class HbOrgInfoController {

    @Resource
    private IHbOrgInfoService orgInfoService;

    @ApiOperation("企业信息管理记录添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody HbOrgInfoEntity request){
        return orgInfoService.add(request);
    }

    @ApiOperation("企业信息管理记录修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody HbOrgInfoEntity request){
        return orgInfoService.edit(request);
    }

    @ApiOperation("企业信息管理记录删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return orgInfoService.delete(ids);
    }

    @ApiOperation("企业信息管理记录分页查询")
    @GetMapping("/page")
    public AjaxResult page(@ModelAttribute HbOrgInfoPageReq request) {
        return orgInfoService.page(request);
    }


    @ApiOperation("企业信息管理记录列表全量查询")
    @GetMapping("/list")
    public AjaxResult listAll(){
        return orgInfoService.listAll();
    }

    @ApiOperation("查询当前设定企业")
    @GetMapping("/current")
    public AjaxResult getCurrent(){
        return orgInfoService.getCurrent();
    }

}
